## xmhtml 1.1.7

=== Makefile ===
##############################################################################
#                                                                            #
# Makefile.org: default XmHTML makefile.                                     #
# Adjust at will                                                             #
#                                                                            #
##############################################################################
#                                                                            #
# (C)Copyright 1995-1997 Ripley Software Development                         #
# All Rights Reserved                                                        #
#                                                                            #
# This file is part of the XmHTML Widget Library.                            #
#                                                                            #
# This library is free software; you can redistribute it and/or              #
# modify it under the terms of the GNU Library General Public                #
# License as published by the Free Software Foundation; either               #
# version 2 of the License, or (at your option) any later version.           #
#                                                                            #
# This library is distributed in the hope that it will be useful,            #
# but WITHOUT ANY WARRANTY; without even the implied warranty of             #
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU          #
# Library General Public License for more details.                           #
#                                                                            #
# You should have received a copy of the GNU Library General Public          #
# License along with this library; if not, write to the Free                 #
# Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.         #
##############################################################################
#
# The defaults in this Makefile are for Linux.

# Don't change this number!
VERSION = 1107
ARCHIVE = 1.1.7

# Target toolkit
# Possible choices: Motif, gtk
# Both targets might require you to adjust the LIBS and LIBDIR directives.
PLATFORM=Motif

# Directories in which to build. If you don't want the examples build,
# remove the examples directory from this line.
# If you want to build the XmHTML tutorial examples, add the book directory.

SUBDIRS= lib http examples tools

# some common definitions
#
CP    = cp
RM    = rm -f
MV    = mv
LN    = ln -sf

# for building the library. 
AR    = ar cq 
# replace with echo or /bin/true if you system doesn't have/need ranlib
RANLIB= ranlib

SHELL     = /bin/sh
MAKE      = make 
# change this to makedepend if your system doesn't have gcc
MAKEDEPEND= gccmakedep

#####################
#                   #
# Compiler Settings #
#                   #
#####################
CC       = gcc
CFLAGS   = -g -funroll-loops -Wall -pipe -ansi 
LDFLAGS  = 

# The following flags are *very* usefull if you are getting unresolved
# references to functions in libraries that you *know* to exist.
# When used, they cause ld to list its search for libraries, the object
# files it is considering for linking and a bunch of other information.
# It helped me to track down an incorrect version of libz that was
# lingering around in a directory where I never expected it to be.
# Note: these flags are for gcc!
# LDFLAGS  = -Wl,-t -Wl,--verbose

# Image Support
# libXpm *is* required
# JPEG images (jpeglib.h and libjpeg)          => -DHAVE_LIBJPEG
# PNG images  (png.h, zlib.h, libz and libpng) => -DHAVE_LIBPNG
# GZF images  (zlib.h and libz)                => -DHAVE_LIBZ or -DHAVE_LIBPNG
#
# You can configure the Progressive Image Loading to use either timeouts or
# work procedures. The default is to use timeouts (XmHTML will cycle through
# each image that is to be loaded progressively using a dynamically computed
# polling interval). If you want XmHTML to use work procedures, you need to 
# define PLC_WORKPROCS
# The differences between the two methods are:
# timeouts:  XmHTML is quite responsive to user-input, image loading not
#            really fast (but neither really slow). Polling interval is
#            computed dynamically depending on the state of each PLC (suspended
#            versus active); 
# workprocs: XmHTML not really responsive, image loading quite fast.
#
# Dithering: there are two algorithms available that allow XmHTML to construct
# a default palette if none has been specified.
# default: the default algorithm constructs an evenly distributed palette in
#          RGB space but is not always able to match the requested number of
#          colors and requires a minumum of 8 colors.
# simple:  this is the alternative, which always creates a palette with the
#          requested number of colors but does not always succeed in creating
#          an evenly distributed palette. It is selected by defining
#          DITHER_SIMPLE_COLORMAP.

IMAGEDEFINES = -DHAVE_LIBJPEG -DHAVE_LIBPNG

# Header file locations. Add path to xpm.h if it isn't in the X11 include
# directory. Depending on the selected image support, the compiler needs to
# be able to find the following header files:
# HAVE_LIBJPEG => jpeglib.h
# HAVE_LIBPNG  => png.h and zlib.h
# HAVE_LIBZ => zlib.h

ZLIBINC       =
IMAGEINCLUDES = $(ZLIBINC)

# Image libraries
# No need to add -lXpm if you need to include it with LIBS below
# Depending on selected image support your linker needs to find the following
# libraries:
# HAVE_LIBJPEG => libjpeg
# HAVE_LIBPNG  => libpng and libz (and possibly libm)
# HAVE_LIBZ => libz (and possibly libm)

ZLIBLIB   = -lz -lm
IMAGELIBS = -ljpeg -lpng $(ZLIBLIB)

# It might be troublesome to know what the correct defines are for your
# system. A possible set of defines for some OS's is given below. Pick
# your choice.
#
# HPUX:
# 	-D_HPUX_SOURCE -D_POSIX_SOURCE
#
# Linux:
#	-D_BSD_SOURCE -D_GNU_SOURCE -D_POSIX_SOURCE -DHAVE_REGEX_H
#
# AIX 4.1.5:
#	-DHAVE_STRINGS_H -DHAVE_REGEX_H
#
#	(AIX 4.1.5 has str[n]casecmp, but it's defined in strings.h)
#
# Unixware 1.1.2
#	-DNEED_STRCASECMP -DNEED_STRERROR -DSVR4 -DHAVE_MEMCPY
#
# Unixware 2.1.1
#	-DNEED_STRCASECMP -D_POSIX_SOURCE
#
# LynxOS
#	-DNEED_STRCASECMP
#
# SCO 3.2
#	-DNEED_STRCASECMP -D_POSIX_SOURCE
#
# If you have dmalloc, you might wish to add -DDMALLOC
#
# If your system does not have str[n]casecmp, add -DNEED_STRCASECMP (unixware)
# If your system does not have strerror, add -DNEED_STRERROR
# If your system has POSIX regex.h, add -DHAVE_REGEX_H
#
# Add -DI18N for internationalization and multilingual support.
# Add -DPEDANTIC to get warnings about bad html and unsupported features.
# Add -DDEBUG to enable selective debug output (see the file DEBUGGING for more
# info).
#
CPPFLAGS = -DDEBUG -D_GNU_SOURCE -D_BSD_SOURCE -D_POSIX_SOURCE -DHAVE_REGEX_H $(IMAGEDEFINES) 

# Various include directories
LIBINC=-I. -I../include -I../include/common -I../../include -I../../include/common

# Platform specific includes
ifeq ($(PLATFORM),Motif)
PLATFORMINC=-I../../include/XmHTML -I/usr/X11R6/include
else
ifeq ($(PLATFORM),gtk)
PLATFORMINC=-I../../include/gtk-xmhtml -I/usr/local/include
endif
endif

# include directories
# If using dmalloc, add the path where the dmalloc.h include file can be 
# found. On my system it's in /usr/local/include
INCLUDES = $(LIBINC) $(PLATFORMINC) $(IMAGEINCLUDES) 

# linker flags
# Uncomment if you're building libXmHTML with dmalloc support
# DMALLOCLIB = -ldmalloc

# Motif version (default)
ifeq ($(PLATFORM),Motif)

LIBDIR = -L/usr/X11R6/lib
# This is what is required under Linux (Motif 2.0.1).
# Your mileage may vary.
LIBS   = -lXm -lXpm -lXmu -lXt -lXext -lX11 -lSM -lICE

else

# gtk version (only supported port for now)
ifeq($(PLATFORM),gtk)

LIBDIR = -L/usr/local/lib
LIBS   = -lgdk -lgtk -lX11

# endif gtk
endif

# Uncomment if you're building libXmHTML with dmalloc support
# DMALLOCLIB = -ldmalloc

# final line fed to the linker 
LOADLIBES = $(LIBDIR) $(LIBS) $(IMAGELIBS)

### End of User configurable section ###

pass_flags = SHELL='$(SHELL)' \
	VERSION='$(VERSION)' \
	CC='$(CC)' \
	RM='$(RM)' \
	AR='$(AR)' \
	MV='$(MV)' \
	CP='$(CP)' \
	LN='$(LN)' \
	RANLIB='$(RANLIB)' \
	MAKEDEPEND='$(MAKEDEPEND)' \
	CFLAGS='$(CFLAGS)' \
	LDFLAGS='$(LDFLAGS)' \
	CPPFLAGS='$(CPPFLAGS) -D$(PLATFORM)' \
	INCLUDES='$(INCLUDES)' \
	LOADLIBES='$(LOADLIBES)' \
	DMALLOCLIB='$(DMALLOCLIB)' \
	ZLIBLIB='$(ZLIBLIB)' \
	PLATFORM='$(PLATFORM)'

all::
	@( for dir in $(SUBDIRS) ; do \
		(set -x ; cd $$dir ; $(MAKE) all $(pass_flags) ) ; \
	done)

# Separate rules for all targets 
lib::
	@(set -x; cd lib; $(MAKE) all $(pass_flags) )

http::
	@(set -x; cd http; $(MAKE) all $(pass_flags) )

examples::
	@(set -x; cd lib; $(MAKE) all $(pass_flags) )
	@(set -x; cd http; $(MAKE) all $(pass_flags) )
	@(set -x; cd examples; $(MAKE) all $(pass_flags) )

tools::
	@(set -x; cd http; $(MAKE) all $(pass_flags) )
	@(set -x; cd tools; $(MAKE) all $(pass_flags) )

contrib::
	@(set -x; cd lib; $(MAKE) all $(pass_flags) )
	@(set -x; cd contrib; $(MAKE) all $(pass_flags) )

book::
	@(set -x; cd lib; $(MAKE) all $(pass_flags) )
	@(set -x; cd book; $(MAKE) all $(pass_flags) )

# Global target for building everything
World::
	$(MAKE) clean
	$(MAKE) includes
	$(MAKE) depend
	$(MAKE) lib
	$(MAKE) http
	$(MAKE) examples
	$(MAKE) tools
	$(MAKE) book

# Global target for building everything with Imake
imake::
	xmkmf
	$(MAKE) World

depend:: 
	@( for dir in $(SUBDIRS) ; do \
		(set -x ; cd $$dir ; $(MAKE) depend $(pass_flags)) ; \
	done)

clean:: 
	@( for dir in $(SUBDIRS) ; do \
		(set -x ; cd $$dir ; $(MAKE) clean $(pass_flags) ) ; \
	done)

distclean:: 
	@( for dir in $(SUBDIRS) ; do \
		(set -x ; cd $$dir ; $(MAKE) distclean $(pass_flags) ) ; \
	done)
	@(set -x; cd book; $(MAKE) distclean $(pass_flags) )
	@(set -x; cd contrib; $(MAKE) distclean $(pass_flags) )
	$(RM) docs/sources.desc
	$(RM) core *.out *.log make.world *.bak *.last *.auto *.rej *.orig
	$(CP) Makefile.org Makefile

dist:: distclean
	$(LN) . XmHTML-$(ARCHIVE)
	tar cvf - XmHTML-$(ARCHIVE)/* | gzip -c > XmHTML-$(ARCHIVE).tar.gz

docs::
	tools/scansrc.sh ./lib/common > docs/sources.desc
	tools/scansrc.sh ./lib/Motif >> docs/sources.desc
	tools/scansrc.sh ./lib/gtk >> docs/sources.desc

=== contrib/Makefile ===

# List of sources
SRCS = swallow.c swallow2.c

# List of object files
OBJS = swallow.o swallow2.o

# Targets to make
EXAMPLES=swallow2

# rule to create .o files from .c files 
.c.o:
	$(RM) $@
	$(CC) $(CFLAGS) $(CPPFLAGS) $(INCLUDES) -c $< -o $@

all: $(EXAMPLES)

# targets to build

swallow::  swallow.o
	$(RM) $@ \ 
	$(CC) -o $@ $(LDFLAGS) swallow.o $(LOADLIBES)

swallow2::  swallow2.o
	$(RM) $@ \ 
	$(CC) -o $@ $(LDFLAGS) swallow2.o $(LOADLIBES)

depend:: $(SRCS) 
	$(MAKEDEPEND) $(INCLUDES) $(CPPFLAGS) $(SRCS)

clean::
	$(RM) $(OBJS)  
	$(RM) $(EXAMPLES)

distclean:: clean 
	$(RM) core *.out make.world *.bak *.last *.auto *.rej *.orig
	$(CP) Makefile.org Makefile

#--------------------------------------------------------------------------
# don't delete anything below this line, makedepend depends on it
#--------------------------------------------------------------------------

=== http/Makefile ===
#
# lint configuration. I use lclint.
#

LIBRARY=libhttp.a

# List of source, object and header files 
SRCS=HTTP.c cookie.c

OBJS=HTTP.o cookie.o

HEADERS=HTTP.h HTTPP.h
 
# Target to make
TARGET=$(LIBRARY)

# Subdirectories to visit
SUBDIRS=

# rule to create .o files from .c files 
.c.o:
	$(RM) $@
	$(CC) $(CFLAGS) $(CPPFLAGS) $(INCLUDES) -c $<

all: $(TARGET)

# targets to build

$(TARGET):: $(OBJS)  
	$(RM) $@ \ 
	$(AR) $@ $(OBJS)  
	$(RANLIB) $@

stamp-includes:
	@if [ -d ../include ]; then set +x; \
	else (set -x; mkdir ../include); fi
	@if [ -d ../include/XmHTML ]; then set +x; \
	else (set -x; mkdir ../include/XmHTML); fi
	@(set -x; cd ../include/XmHTML; for i in $(HEADERS); do \
		$(RM) $$i; \
		$(LN) ../../http/$$i .; \
	done)
	touch $@

includes:: stamp-includes

depend:: $(SRCS) 
	$(MAKEDEPEND) $(INCLUDES) $(CPPFLAGS) $(SRCS)

clean::
	$(RM) $(OBJS)
	$(RM) $(TARGET)

distclean:: clean 
	$(RM) core *.out *.log make.world *.bak *.last *.auto *.rej *.orig
	$(RM) *.lh *.lcs *.lint stamp-includes
	$(CP) Makefile.org Makefile

realclean:: distclean

#--------------------------------------------------------------------------
# don't delete anything below this line, makedepend depends on it
#--------------------------------------------------------------------------

=== tools/Makefile ===
##############################################################################
#                                                                            #
# Makefile.org: default XmHTML tools makefile.                               #
# Adjust at will                                                             #
#                                                                            #
##############################################################################
#                                                                            #
# (C)Copyright 1995-1997 Ripley Software Development                         #
# All Rights Reserved                                                        #
#                                                                            #
# This file is part of the XmHTML Widget Library.                            #
#                                                                            #
# This library is free software; you can redistribute it and/or              #
# modify it under the terms of the GNU Library General Public                #
# License as published by the Free Software Foundation; either               #
# version 2 of the License, or (at your option) any later version.           #
#                                                                            #
# This library is distributed in the hope that it will be useful,            #
# but WITHOUT ANY WARRANTY; without even the implied warranty of             #
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU          #
# Library General Public License for more details.                           #
#                                                                            #
# You should have received a copy of the GNU Library General Public          #
# License along with this library; if not, write to the Free                 #
# Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.         #
##############################################################################

# List of sources
SRCS = GetRepTypes.c WidgetSize.c gifinfo.c ImBuffer.c gif2gzf.c \
	httpget.c miniparse.c ../lib/common/parse.c ../lib/common/LZWStream.c

# List of object files
OBJS = GetRepTypes.o WidgetSize.o gifinfo.o ImBuffer.o gif2gzf.o \
	httpget.o miniparse.o parse.o LZWStream.o

# Targets to make
TARGETS = reptype wsize gifinfo HTMLparse gif2gzf httpget

# rule to create .o files from .c files 
.c.o:
	$(RM) $@
	$(CC) $(INCLUDES) $(CFLAGS) $(CPPFLAGS) -c $<

#
# Special object rules
#

#
# gif2gzf needs to know where zlib lives
#
gif2gzf.o: gif2gzf.c
	$(RM) $@
	$(CC) -c $(INCLUDES) $(CFLAGS) $(CPPFLAGS) $(ZLIBINC) $*.c

#
# LZWStream compiled for standalone usage
#
LZWStream.o: ../lib/common/LZWStream.c
	$(RM) $@
	$(CC) -c $(INCLUDES) $(CFLAGS) $(CPPFLAGS) -DNO_XmHTML ../lib/common/LZWStream.c

#
# XmHTML HTML Parser compiled for standalone usage
#
parse.o: ../lib/common/parse.c
	$(RM) $@
	$(CC) -c $(INCLUDES) $(CFLAGS) $(CPPFLAGS) -DMINIPARSE ../lib/common/parse.c

#
# All Targets
#

all: $(TARGETS)

# targets to build

reptype::  GetRepTypes.o
	$(RM) $@ \ 
	$(CC) -o $@ $(LDFLAGS) GetRepTypes.o $(LOADLIBES)

wsize::  WidgetSize.o
	$(RM) $@ \ 
	$(CC) -o $@ $(LDFLAGS) WidgetSize.o

gifinfo::  gifinfo.o ImBuffer.o
	$(RM) $@ \ 
	$(CC) -o $@ $(LDFLAGS) gifinfo.o ImBuffer.o

httpget::  httpget.o
	$(RM) $@ \ 
	$(CC) -o $@ $(LDFLAGS) httpget.o -L../http -lhttp $(DMALLOCLIB)

# gif to gzf converter
gif2gzf:: gif2gzf.o LZWStream.o ImBuffer.o
	$(RM) $@ \ 
	$(CC) -o $@ $(LDFLAGS) gif2gzf.o LZWStream.o ImBuffer.o $(ZLIBLIB)

# stand alone parser
HTMLparse:: parse.o miniparse.o
	$(RM) $@
	$(CC) -o $@ $(LDFLAGS) parse.o miniparse.o

depend:: $(SRCS) 
	$(MAKEDEPEND) $(INCLUDES) $(CPPFLAGS) -DMINIPARSE -DNO_XmHTML $(SRCS)

clean::
	$(RM) $(OBJS)  
	$(RM) $(TARGETS)

distclean:: clean 
	$(RM) core *.out *.log make.world *.bak *.last *.auto *.rej *.orig
	$(CP) Makefile.org Makefile

#--------------------------------------------------------------------------
# don't delete anything below this line, makedepend depends on it
#--------------------------------------------------------------------------

=== lib/gtk/Makefile ===
##############################################################################
#                                                                            #
# Makefile.org: libXmHTML, Gtk version                                       #
# Adjust at will                                                             #
#                                                                            #
##############################################################################
#                                                                            #
# (C)Copyright 1995-1997 Ripley Software Development                         #
# All Rights Reserved                                                        #
#                                                                            #
# This file is part of the XmHTML Widget Library.                            #
#                                                                            #
# This library is free software; you can redistribute it and/or              #
# modify it under the terms of the GNU Library General Public                #
# License as published by the Free Software Foundation; either               #
# version 2 of the License, or (at your option) any later version.           #
#                                                                            #
# This library is distributed in the hope that it will be useful,            #
# but WITHOUT ANY WARRANTY; without even the implied warranty of             #
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU          #
# Library General Public License for more details.                           #
#                                                                            #
# You should have received a copy of the GNU Library General Public          #
# License along with this library; if not, write to the Free                 #
# Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.         #
##############################################################################
#

# List of source and object files 
GTKSRCS= gtk.c XmHTML.c textsel.c plc.c output.c frames.c forms.c XmImage.c \
	warnings.c

GTKOBJS= gtk.o XmHTML.o textsel.o plc.o output.o frames.o forms.o XmImage.o \
	warnings.o

# Comment these out if you don't want to include the debug routines.
# or define NDEBUG in the toplevel Makefile.
DEBSRCS= debug_menu.c
DEBOBJS= debug_menu.o

SRCS = $(GTKSRCS) $(DEBSRCS)
OBJS = $(GTKOBJS) $(DEBOBJS)

# Target to make
TARGET=$(OBJS)

# Subdirectories to visit
SUBDIRS=

# rule to create .o files from .c files 
.c.o:
	$(RM) $@
	$(CC) $(CFLAGS) -DVERSION=$(VERSION) $(CPPFLAGS) $(INCLUDES) -c $<

# targets to build
all: $(TARGET)

depend:: $(SRCS) 
	$(MAKEDEPEND) $(INCLUDES) $(CPPFLAGS) $(SRCS)

clean::
	$(RM) $(OBJS)

distclean:: clean 
	$(RM) core *.out *.log make.world *.bak *.last *.auto *.rej *.orig
	$(RM) *.lh *.lcs *.lint stamp-includes
	$(CP) Makefile.org Makefile

#--------------------------------------------------------------------------
# don't delete anything below this line, makedepend depends on it
#--------------------------------------------------------------------------

=== debian/changelog ===
xmhtml (1.1.7-19) unstable; urgency=low

  * New maintainer (Closes: #307363).
  * Build-depend on libmotif-dev instead of lesstif2-dev.
  * Add multiarch support.
  * Add xmhtml1.symbols file.
  * Update d/control:
    - Add Depends: xmhtml1 (= ${binary:Version}) and Section: libdevel
      to package xmhtml1-dev
    - Add Vcs-browser and Vcs-git sections
  * Update d/rules:
    - Remove -L/usr/X11R6/lib and explicity link -lXt -lXext -lX11 -lz and -lm
  * Bump standards-version to 3.9.4 (added vcs and symbols).

 -- Graham Inggs <graham@nerve.org.za>  Mon, 17 Jun 2013 13:27:54 +0200

xmhtml (1.1.7-18) unstable; urgency=low

  * QA upload.
  * Bumped Standards-Version to 3.9.3 (was 3.6.0).
  * Bumped debhelper version to 9 (was 4.1.0); updated debian/compat.
  * Added files: debian/patches/fix-build-with-hardening-flags.patch
    and debian/patches/series.
  * Package switched from cdbs to dh:
    - deleted build dependency from cdbs
    - updated debian/rules
  * Updated file debian/xmhtml1-dev.docs, added file debian/xmhtml1.docs.
  * Fixed such lintian warnings and notes:
    - duplicate-short-description xmhtml1 xmhtml1-dev
    - package-uses-deprecated-debhelper-compat-version 4
    - missing-debian-source-format
    - direct-changes-in-diff-but-no-patch-system Makefile and 8 more
    - old-fsf-address-in-copyright-file
    - description-synopsis-starts-with-article
    - hardening-no-relro usr/lib/libXmHTML.so.1.1.7
  * Changed build dependency from libpng12-dev to libpng-dev.
    Added file debian/patches/fix-build-with-libpng15.patch.
    Build with libpng version 1.5.10 was tested successfully.
    (Closes: #662564)

 -- Boris Pek <tehnick-8@mail.ru>  Tue, 26 Jun 2012 01:26:09 +0300

xmhtml (1.1.7-17) unstable; urgency=low

  * QA upload.
  * Allow for libmotif-dev to satisfy the lesstif2-dev dependency of xmhtml1-dev
    (Closes: #636610).

 -- Michael Hanke <mih@debian.org>  Mon, 23 Apr 2012 13:46:35 +0200

xmhtml (1.1.7-16) unstable; urgency=low

  * QA upload.
  * Build-depend on just libjpeg-dev, rather than on libjpeg62-dev |
    libjpeg-dev (see
    http://lists.debian.org/debian-devel-announce/2010/02/msg00006.html).
  * Appease gcc -Werror=format-security, now enabled by default.
  * Add ${misc:Depends}.

 -- Colin Watson <cjwatson@debian.org>  Thu, 20 Oct 2011 18:40:19 +0100

xmhtml (1.1.7-15) unstable; urgency=low

  * Orphan the package.

 -- Torsten Werner <twerner@debian.org>  Sun, 15 Feb 2009 20:57:59 +0100

xmhtml (1.1.7-14) unstable; urgency=low

  * added Build-Depends: libxmu-dev, libxpm-dev, closes: #256424

 -- Torsten Werner <twerner@debian.org>  Sun, 27 Jun 2004 21:38:38 +0200

xmhtml (1.1.7-13) unstable; urgency=low

  * converted from CBS to cdbs
  * include patch from grace sources
  * changed Standards-Version to 3.6.0

 -- Torsten Werner <twerner@debian.org>  Sat, 23 Aug 2003 19:03:20 +0200

xmhtml (1.1.7-12) unstable; urgency=low

  * rebuild with newer libpng12, closes: #196849

 -- Torsten Werner <twerner@debian.org>  Sat, 21 Jun 2003 16:19:02 +0200

xmhtml (1.1.7-11) unstable; urgency=low

  * really fixed disparity

 -- Torsten Werner <twerner@debian.org>  Sat,  8 Mar 2003 19:30:44 +0100

xmhtml (1.1.7-10) unstable; urgency=low

  * linked against lesstif2
  * fixed control file (override disparity), closes: #172894
  * updated debian/rules

 -- Torsten Werner <twerner@debian.org>  Sat,  8 Mar 2003 19:05:05 +0100

xmhtml (1.1.7-9) unstable; urgency=low

  * readded the lost -fPIC for compiling the shared library objects,
  closes: #172257

 -- Torsten Werner <twerner@debian.org>  Fri, 13 Dec 2002 11:08:19 +0100

xmhtml (1.1.7-8) unstable; urgency=low

  * converted to CBS

 -- Torsten Werner <twerner@debian.org>  Thu,  5 Dec 2002 18:32:54 +0100

xmhtml (1.1.7-7) unstable; urgency=low

  * new maintainer, closes: #99004

 -- Torsten Werner <twerner@debian.org>  Fri, 14 Sep 2001 09:33:34 +0200

xmhtml (1.1.7-6.1) unstable; urgency=low

  * NMU
  * Added missing build-depends, closes: #107831
  * Removed call to dh_suidregister

 -- Matthew Wilcox <willy@debian.org>  Wed,  8 Aug 2001 13:02:51 -0600

xmhtml (1.1.7-6) unstable; urgency=low

  * Set maintainer to Debian QA Team <packages@qa.debian.org> 
  * Did the FHS transition.
  * Added Build-depends on debhelper and lesstif-dev.
  * Corrected GPL location in copyright file.
  * Raised Standards-verion to 3.5.0

 -- Bas Zoetekouw <bas@debian.org>  Sat,  4 Aug 2001 17:22:58 +0200

xmhtml (1.1.7-5) unstable; urgency=low

  * Add missing dependency, recompile against new lesstif package. 

 -- Tyson Dowd <trd@cs.mu.oz.au>  Tue, 19 Oct 1999 06:46:26 +0200

xmhtml (1.1.7-4) unstable; urgency=low

  * Recompiled against potato.  Fixes #35002.

 -- Tyson Dowd <trd@cs.mu.oz.au>  Wed, 28 Jul 1999 00:36:18 +0200

xmhtml (1.1.7-3) unstable; urgency=low

  * Make sure the postinst is part of the xhtml package. 

 -- Tyson Dowd <trd@cs.mu.oz.au>  Tue, 23 Mar 1999 12:18:16 +1100

xmhtml (1.1.7-2) unstable; urgency=low

  * Fix "initializer element not constant" bug (stdout is no longer a
    constant).  Fixes #34574.

 -- Tyson Dowd <trd@cs.mu.oz.au>  Mon, 15 Mar 1999 13:27:06 +1100

xmhtml (1.1.7-1.1) unstable; urgency=low

  * debian/copyright: correct FSF address
  * debian/control: fix spelling 
  * debian/postinst: added to call ldconfig for the library package
  * debian/rules: fix modes on header files
  * debian/rules: install CHANGES as changelog
  
 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 10 Mar 1999 21:13:59 -0500

xmhtml (1.1.7-1) unstable; urgency=low

  * Initial Release.

 -- Tyson Dowd <trd@cs.mu.oz.au>  Tue,  9 Mar 1999 15:11:02 +1100

=== debian/control ===
Source: xmhtml
Section: libs
Priority: optional
Maintainer: Graham Inggs <graham@nerve.org.za>
Uploaders: Paul Gevers <elbrus@debian.org>
Build-Depends: debhelper (>= 9),
               libjpeg-dev,
               libmotif-dev,
               libpng-dev,
               libxmu-dev,
               libxpm-dev
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/xmhtml.git
Vcs-Git: git://anonscm.debian.org/collab-maint/xmhtml.git

Package: xmhtml1-dev
Architecture: any
Multi-Arch: same
Depends: libc6-dev, libmotif-dev, xmhtml1 (= ${binary:Version}), ${misc:Depends}
Provides: xmhtml-dev
Conflicts: xmhtml-dev
Section: libdevel
Description: Motif widget for displaying HTML 3.2 (development files)
 XmHTML is a high performance Motif Widget capable of displaying HTML
 3.2 confirming text.  Graphics support, lesstif compatibility and
 extensive documentation are amongst its many features.
 .
 This is the development kit, containing static libraries and header files
 necessary to build programs that use xmhtml. The runtime library is
 provided by the xmhtml package.

Package: xmhtml1
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Section: libs
Description: Motif widget for displaying HTML 3.2 (library)
 XmHTML is a high performance Motif Widget capable of displaying HTML
 3.2 confirming text.  Graphics support, lesstif compatibility and
 extensive documentation are amongst its many features.
 .
 This package provides the runtime shared library. The xmhtml-dev
 package provides the header files, and the static library.

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

version=$(shell expr `pwd` : '.*-\([0-9.]*\)')
version_major=$(shell expr `pwd` : '.*-\([0-9]*\).[0-9.]*')

%:
	dh $@ --parallel

override_dh_auto_build:
	dh_auto_build -- lib LDFLAGS+=-Wl,--as-needed CFLAGS+="-fPIC $(CPPFLAGS)"
	$(CC) -shared -Wl,-soname,libXmHTML.so.$(version_major) \
	   -o libXmHTML.so.$(version) lib/*/*.o \
	   -lXm -lXpm -lXt -lXext -lX11 -lpng -ljpeg -lz -lm $(LDFLAGS)

override_dh_auto_install:
	# xmhtml1
	install -d -o root -g root -m 755 debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
	install libXmHTML*.so* debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
	ln -s libXmHTML.so.$(version) \
	   debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libXmHTML.so.$(version_major)
	# xmhtml1-dev
	install -d -o root -g root -m 755 debian/tmp/usr/include/XmHTML
	install include/XmHTML/*.h debian/tmp/usr/include/XmHTML
	install lib/libXmHTML.a debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
	ln -s libXmHTML.so.$(version_major) debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libXmHTML.so
	chmod 644 debian/tmp/usr/include/XmHTML/*.h

override_dh_auto_clean:
	dh_testroot
	$(RM) libXmHTML*.so*
	dh_auto_clean

## xmhtml 1.1.9

=== Makefile ===
--- 
+++ 
@@ -27,14 +27,20 @@
 #
 # The defaults in this Makefile are for Linux.
 
-# Don't change this number!
-VERSION = 1107
-ARCHIVE = 1.1.7
+# Don't change these numbers! (only exception: the maintainer of the library if making a new release)
+VERSION = 1109
+ARCHIVE = 1.1.9
+#The SONAME has to be increased when incompatible changes are made to the API.
+#The Versionnumber ( in variables VERSION and ARCHIVE above ) has to start with the SONAME.
+SONAME= libXmHTML.so.1.1
 
 # Target toolkit
 # Possible choices: Motif, gtk
 # Both targets might require you to adjust the LIBS and LIBDIR directives.
 PLATFORM=Motif
+
+# XFT-Support?
+HAVE_XFT=1
 
 # Directories in which to build. If you don't want the examples build,
 # remove the examples directory from this line.
@@ -65,7 +71,7 @@
 #                   #
 #####################
 CC       = gcc
-CFLAGS   = -g -funroll-loops -Wall -pipe -ansi 
+CFLAGS   = -g -funroll-loops -Wall -pipe -ansi $(EXTRA_CFLAGS)
 LDFLAGS  = 
 
 # The following flags are *very* usefull if you are getting unresolved
@@ -107,6 +113,10 @@
 
 IMAGEDEFINES = -DHAVE_LIBJPEG -DHAVE_LIBPNG
 
+ifeq ($(HAVE_XFT),1)
+XFT_DEFINES = -DHAVE_XFT
+endif
+
 # Header file locations. Add path to xpm.h if it isn't in the X11 include
 # directory. Depending on the selected image support, the compiler needs to
 # be able to find the following header files:
@@ -166,24 +176,31 @@
 # Add -DDEBUG to enable selective debug output (see the file DEBUGGING for more
 # info).
 #
-CPPFLAGS = -DDEBUG -D_GNU_SOURCE -D_BSD_SOURCE -D_POSIX_SOURCE -DHAVE_REGEX_H $(IMAGEDEFINES) 
+CPPFLAGS = -D_GNU_SOURCE -D_BSD_SOURCE -D_POSIX_SOURCE -DHAVE_REGEX_H \
+	$(EXTRA_CPPFLAGS) \
+	$(IMAGEDEFINES) \
+	$(XFT_DEFINES)
 
 # Various include directories
 LIBINC=-I. -I../include -I../include/common -I../../include -I../../include/common
 
 # Platform specific includes
 ifeq ($(PLATFORM),Motif)
-PLATFORMINC=-I../../include/XmHTML -I/usr/X11R6/include
+PLATFORMINC=-I../../include/XmHTML -I/usr/X11R6/include -I/usr/include/freetype2
 else
 ifeq ($(PLATFORM),gtk)
-PLATFORMINC=-I../../include/gtk-xmhtml -I/usr/local/include
+PLATFORMINC=\
+	-I../../include/gtk-xmhtml -I/usr/local/include -I/usr/include/freetype2 \
+	-I/usr/include/gtk-2.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include \
+	-I/usr/include/cairo -I/usr/include/pango-1.0 \
+	-I/usr/lib/gtk-2.0/include -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/atk-1.0
 endif
 endif
 
 # include directories
 # If using dmalloc, add the path where the dmalloc.h include file can be 
 # found. On my system it's in /usr/local/include
-INCLUDES = $(LIBINC) $(PLATFORMINC) $(IMAGEINCLUDES) 
+INCLUDES = $(LIBINC) $(PLATFORMINC) $(IMAGEINCLUDES) $(EXTRA_INCLUDES)
 
 # linker flags
 # Uncomment if you're building libXmHTML with dmalloc support
@@ -195,17 +212,22 @@
 LIBDIR = -L/usr/X11R6/lib
 # This is what is required under Linux (Motif 2.0.1).
 # Your mileage may vary.
-LIBS   = -lXm -lXpm -lXmu -lXt -lXext -lX11 -lSM -lICE
+LIBS   = -lXm -lXpm -lXmu -lXt -lXext -lX11 -lSM -lICE 
 
 else
 
 # gtk version (only supported port for now)
-ifeq($(PLATFORM),gtk)
-
-LIBDIR = -L/usr/local/lib
-LIBS   = -lgdk -lgtk -lX11
+ifeq ($(PLATFORM),gtk)
+
+LIBDIR = -L/usr/local/lib -L
+LIBS   = -lgdk-x11-2.0 -lgtk-x11 -lX11
 
 # endif gtk
+endif
+endif
+
+ifeq ($(HAVE_XFT),1)
+LIBS += -lXft -lfontconfig
 endif
 
 # Uncomment if you're building libXmHTML with dmalloc support
@@ -218,6 +240,8 @@
 
 pass_flags = SHELL='$(SHELL)' \
 	VERSION='$(VERSION)' \
+	ARCHIVE='$(ARCHIVE)' \
+	SONAME='$(SONAME)' \
 	CC='$(CC)' \
 	RM='$(RM)' \
 	AR='$(AR)' \
@@ -276,9 +300,9 @@
 	$(MAKE) book
 
 # Global target for building everything with Imake
-imake::
-	xmkmf
-	$(MAKE) World
+#imake::
+#	xmkmf
+#	$(MAKE) World
 
 depend:: 
 	@( for dir in $(SUBDIRS) ; do \
@@ -298,7 +322,7 @@
 	@(set -x; cd contrib; $(MAKE) distclean $(pass_flags) )
 	$(RM) docs/sources.desc
 	$(RM) core *.out *.log make.world *.bak *.last *.auto *.rej *.orig
-	$(CP) Makefile.org Makefile
+	#$(CP) Makefile.org Makefile
 
 dist:: distclean
 	$(LN) . XmHTML-$(ARCHIVE)

=== lib/Makefile ===
##############################################################################
#                                                                            #
# Makefile.motif: libXmHTML, Motif version                                   #
# Adjust at will                                                             #
#                                                                            #
##############################################################################
#                                                                            #
# (C)Copyright 1995-1997 Ripley Software Development                         #
# All Rights Reserved                                                        #
#                                                                            #
# This file is part of the XmHTML Widget Library.                            #
#                                                                            #
# This library is free software; you can redistribute it and/or              #
# modify it under the terms of the GNU Library General Public                #
# License as published by the Free Software Foundation; either               #
# version 2 of the License, or (at your option) any later version.           #
#                                                                            #
# This library is distributed in the hope that it will be useful,            #
# but WITHOUT ANY WARRANTY; without even the implied warranty of             #
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU          #
# Library General Public License for more details.                           #
#                                                                            #
# You should have received a copy of the GNU Library General Public          #
# License along with this library; if not, write to the Free                 #
# Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.         #
##############################################################################
#
LIBRARY=libXmHTML.a
SHAREDLIB=libXmHTML.so.$(ARCHIVE)

# Targets to make
TARGET_STATIC=$(LIBRARY)
TARGET_SHARED=$(SHAREDLIB)

# Subdirectories to visit
SUBDIRS= common $(PLATFORM)

# Target rules
all:: $(TARGET_STATIC) $(TARGET_SHARED)

# Separate rules for all targets 
$(PLATFORM):: 
	@(set -x; cd $(PLATFORM); $(MAKE) all $(pass_flags) )

common::
	@(set -x; cd common; $(MAKE) all $(pass_flags) )

$(TARGET_STATIC):: common $(PLATFORM) 
	$(RM) $@ \ 
	$(AR) $@ common/*.o $(PLATFORM)/*.o
	$(RANLIB) $@

$(TARGET_SHARED):: common $(PLATFORM) 
	$(RM) $@ ; \
	$(CC) $(LDFLAGS) -o $@ -shared -Wl,-soname,$(SONAME) common/*.o $(PLATFORM)/*.o $(LOADLIBES)
	
depend:: 
	@( for dir in $(SUBDIRS) ; do \
		(set -x ; cd $$dir ; $(MAKE) depend $(pass_flags)) ; \
	done)

clean:: 
	@( for dir in $(SUBDIRS) ; do \
		(set -x ; cd $$dir ; $(MAKE) clean $(pass_flags) ) ; \
	done)
	$(RM) $(TARGET_STATIC) $(TARGET_SHARED)

distclean:: 
	@( for dir in $(SUBDIRS) ; do \
		(set -x ; cd $$dir ; $(MAKE) distclean $(pass_flags) ) ; \
	done)
	$(RM) $(TARGET_STATIC) $(TARGET_SHARED)
	$(RM) core *.out *.log make.world *.bak *.last *.auto *.rej *.orig
	#$(CP) Makefile.org Makefile

=== debian/changelog ===
xmhtml (1.1.9-2) unstable; urgency=medium

  * New patch: d/patches/fix-endless-event-loop.patch.
    - Fix endless event generation and processing loop
  * Update d/control: change source package to Section: x11
    as per other libX* packages and silence Lintian.
  * Upload to unstable.

 -- Graham Inggs <graham@nerve.org.za>  Tue, 24 Jun 2014 17:18:02 +0200

xmhtml (1.1.9-1) experimental; urgency=medium

  * New upstream release.
  * Remove d/patches/* included upstream.
  * Update d/rules for new build system and SONAME.
  * Update d/xmhtml1.symbols for new version and SONAME.
  * Rename library and dev packages and add transitional package
  * Machine-readable d/copyright.
  * Bumps Standards-Version to 3.9.5, no further changes.
  * Document upstream website in d/watch and d/control
  * Add Build-Depends on libxft-dev and libfontconfig1-dev

 -- Graham Inggs <graham@nerve.org.za>  Mon, 28 Apr 2014 12:38:38 +0200

=== debian/control ===
Source: xmhtml
Section: x11
Priority: optional
Maintainer: Graham Inggs <graham@nerve.org.za>
Uploaders: Paul Gevers <elbrus@debian.org>
Build-Depends: debhelper (>= 9),
               dh-exec,
               libfontconfig1-dev,
               libjpeg-dev,
               libmotif-dev,
               libpng-dev,
               libxft-dev,
               libxmu-dev,
               libxpm-dev
Standards-Version: 3.9.5
Homepage: http://xmhtml.sourceforge.net/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/xmhtml.git
Vcs-Git: git://anonscm.debian.org/collab-maint/xmhtml.git

Package: libxmhtml-dev
Architecture: any
Multi-Arch: same
Depends: libc6-dev, libmotif-dev, libxmhtml1.1 (= ${binary:Version}), ${misc:Depends}
Breaks: xmhtml1-dev (<< 1.1.9)
Replaces: xmhtml1-dev (<< 1.1.9)
Section: libdevel
Description: Motif widget for displaying HTML 3.2 (development files)
 XmHTML is a high performance Motif Widget capable of displaying HTML
 3.2 confirming text.  Graphics support, lesstif compatibility and
 extensive documentation are amongst its many features.
 .
 This is the development kit, containing static libraries and header files
 necessary to build programs that use XmHTML. The runtime library is
 provided by the libxmhtml package.

Package: libxmhtml1.1
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Section: libs
Description: Motif widget for displaying HTML 3.2 (library)
 XmHTML is a high performance Motif Widget capable of displaying HTML
 3.2 confirming text.  Graphics support, lesstif compatibility and
 extensive documentation are amongst its many features.
 .
 This package provides the runtime shared library. The libxmhtml-dev
 package provides the header files, and the static library.

Package: libxmhtml1.1-dbg
Architecture: any
Section: debug
Priority: extra
Multi-Arch: same
Depends: libxmhtml1.1 (= ${binary:Version}),
         ${misc:Depends}
Description: Motif widget for displaying HTML 3.2 (debugging symbols)
 XmHTML is a high performance Motif Widget capable of displaying HTML
 3.2 confirming text.  Graphics support, lesstif compatibility and
 extensive documentation are amongst its many features.
 .
 This package contains the debugging symbols.

Package: xmhtml1-dev
Architecture: any
Section: oldlibs
Priority: extra
Multi-Arch: same
Depends: libxmhtml-dev, ${misc:Depends}
Description: Motif widget for displaying HTML 3.2 (transitional package)
 This is a transitional package and can safely be removed.

=== debian/rules ===
#!/usr/bin/make -f

export version=$(shell expr `pwd` : '.*-\([0-9.]*\)')
export version_major=$(shell expr `pwd` : '.*-\([0-9].[0-9]*\)[0-9]*')

%:
	dh $@ --parallel

override_dh_auto_build:
	dh_auto_build -- lib LDFLAGS+=-Wl,--as-needed CFLAGS+="-fPIC $(CPPFLAGS)"

override_dh_strip:
	dh_strip --dbg-package=libxmhtml1.1-dbg
